using JewelryStoreContracts.SearchModels;
using JewelryStoreContracts.ViewModels;
using JewelryStoreContracts.BindingModels;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreContracts.BusinessLogicsContracts
{
    public interface IJewelLogic
    {
        List<JewelViewModel>? ReadList(JewelSearchModel? model);
        JewelViewModel? ReadElement(JewelSearchModel model);
        bool Create(JewelBindingModel model);
        bool Update(JewelBindingModel model);

         bool Delete(JewelBindingModel model);
    }

}
